/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.pdf.valueobject;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * PDF 設定バリューオブジェクト。
 */
@XmlRootElement
public class BlancoPdfSetting {
    /**
     * 設定ファイルディレクトリのルート。
     *
     * フィールド: [confPath]。
     */
    private String fConfPath;

    /**
     * テンプレート PDF の位置。★この情報の行き先は?
     *
     * フィールド: [templatePdfLocation]。
     */
    private String fTemplatePdfLocation;

    /**
     * フィールド [confPath] の値を設定します。
     *
     * フィールドの説明: [設定ファイルディレクトリのルート。]。
     *
     * @param argConfPath フィールド[confPath]に設定する値。
     */
    public void setConfPath(final String argConfPath) {
        fConfPath = argConfPath;
    }

    /**
     * フィールド [confPath] の値を取得します。
     *
     * フィールドの説明: [設定ファイルディレクトリのルート。]。
     *
     * @return フィールド[confPath]から取得した値。
     */
    public String getConfPath() {
        return fConfPath;
    }

    /**
     * フィールド [templatePdfLocation] の値を設定します。
     *
     * フィールドの説明: [テンプレート PDF の位置。★この情報の行き先は?]。
     *
     * @param argTemplatePdfLocation フィールド[templatePdfLocation]に設定する値。
     */
    public void setTemplatePdfLocation(final String argTemplatePdfLocation) {
        fTemplatePdfLocation = argTemplatePdfLocation;
    }

    /**
     * フィールド [templatePdfLocation] の値を取得します。
     *
     * フィールドの説明: [テンプレート PDF の位置。★この情報の行き先は?]。
     *
     * @return フィールド[templatePdfLocation]から取得した値。
     */
    public String getTemplatePdfLocation() {
        return fTemplatePdfLocation;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.pdf.valueobject.BlancoPdfSetting[");
        buf.append("confPath=" + fConfPath);
        buf.append(",templatePdfLocation=" + fTemplatePdfLocation);
        buf.append("]");
        return buf.toString();
    }
}
